/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing ProjectForCreationDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class ProjectForCreationDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for ProjectForCreationDto
        //private ProjectForCreationDto instance;

        public ProjectForCreationDtoTests()
        {
            // TODO uncomment below to create an instance of ProjectForCreationDto
            //instance = new ProjectForCreationDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProjectForCreationDto
        /// </summary>
        [Fact]
        public void ProjectForCreationDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" ProjectForCreationDto
            //Assert.IsType<ProjectForCreationDto>(instance);
        }

        /// <summary>
        /// Test the property 'Name'
        /// </summary>
        [Fact]
        public void NameTest()
        {
            // TODO unit test for the property 'Name'
        }

        /// <summary>
        /// Test the property 'Description'
        /// </summary>
        [Fact]
        public void DescriptionTest()
        {
            // TODO unit test for the property 'Description'
        }

        /// <summary>
        /// Test the property 'StartDate'
        /// </summary>
        [Fact]
        public void StartDateTest()
        {
            // TODO unit test for the property 'StartDate'
        }

        /// <summary>
        /// Test the property 'EndDate'
        /// </summary>
        [Fact]
        public void EndDateTest()
        {
            // TODO unit test for the property 'EndDate'
        }

        /// <summary>
        /// Test the property 'Keywords'
        /// </summary>
        [Fact]
        public void KeywordsTest()
        {
            // TODO unit test for the property 'Keywords'
        }

        /// <summary>
        /// Test the property 'DisplayName'
        /// </summary>
        [Fact]
        public void DisplayNameTest()
        {
            // TODO unit test for the property 'DisplayName'
        }

        /// <summary>
        /// Test the property 'PrincipleInvestigators'
        /// </summary>
        [Fact]
        public void PrincipleInvestigatorsTest()
        {
            // TODO unit test for the property 'PrincipleInvestigators'
        }

        /// <summary>
        /// Test the property 'GrantId'
        /// </summary>
        [Fact]
        public void GrantIdTest()
        {
            // TODO unit test for the property 'GrantId'
        }

        /// <summary>
        /// Test the property 'Visibility'
        /// </summary>
        [Fact]
        public void VisibilityTest()
        {
            // TODO unit test for the property 'Visibility'
        }

        /// <summary>
        /// Test the property 'Disciplines'
        /// </summary>
        [Fact]
        public void DisciplinesTest()
        {
            // TODO unit test for the property 'Disciplines'
        }

        /// <summary>
        /// Test the property 'Organizations'
        /// </summary>
        [Fact]
        public void OrganizationsTest()
        {
            // TODO unit test for the property 'Organizations'
        }

        /// <summary>
        /// Test the property 'ParentId'
        /// </summary>
        [Fact]
        public void ParentIdTest()
        {
            // TODO unit test for the property 'ParentId'
        }

        /// <summary>
        /// Test the property 'CopyOwnersFromParent'
        /// </summary>
        [Fact]
        public void CopyOwnersFromParentTest()
        {
            // TODO unit test for the property 'CopyOwnersFromParent'
        }
    }
}
